curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/customers/{customerId}"
payload = {
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
individual_name: '<string>',
company_name: '<string>',
email: '<string>',
mobile_phone: '<string>',
office_phone: '<string>',
address_string: '<string>',
memo: '<string>',
tags: [
{
key: 'department',
value: 'sales',
dimension_display_name: 'Department',
value_display_name: 'Sales Department'
}
]
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "31415926535",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}Patch update customer
Patch (partially) updates an existing customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business the customer belongs to
The UUID of the customer to update
Body
Parameters for updating a customer. All fields are optional.
Full name of the individual customer or contact at a corporate customer.
Name of the company customer.
Email address of the customer.
Mobile phone number of the customer.
Office phone number of the customer.
Address of the customer.
Memo for any text you would like to associate with the customer (for example, to display to end users).
Status of the customer. Possible values: ACTIVE, ARCHIVED.
ACTIVE, ARCHIVED Show child attributes
Show child attributes
Response
Customer updated successfully
Unique identifier for the customer.
Unique ID of the customer in your system for linking purposes. Idempotency key.
"31415926535"
Full name of the individual customer or contact at a corporate customer.
Name of the company customer.
Email address of the customer.
Mobile phone number of the customer.
Office phone number of the customer.
Address of the customer.
Memo for any text you would like to associate with the customer (for example, to display to end users).
Status of the customer. Possible values: ACTIVE, ARCHIVED.
"ACTIVE"
Show child attributes
Show child attributes